Catalyst動かず

ここ2週間ほど腰痛がひどい。
そんなわけでこの週末は家でこもることにした。
うちのWebサーバのモジュールUpdateを最近していないことが気になっていたので、
この際Updateする。
yum update
で、一通りUpdateする。
Catalystで稼働しているサーバがあるので、再起動すると
weaken is only available with the XS version of Scalar::Util
とのこと。
Scalar::UtilがXSでないといけないらしい。
CPANから
cpan> look Scalar::Util
でディレクトリ確認。
$ perl Makefile.PL -XS
$ make
$ make test
$ make install
で、XSバージョンをインストール。
でも、それ以外にもいろいろと不具合がでてしまった。
ふーー
あまり安易にUpdateしない方がいいですね・・。

コメントを残す

メールアドレスが公開されることはありません。